<!-- Navigation -->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
  <div class="container">
    <a class="navbar-brand" href="#">Webblog</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive"
      aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarResponsive">
      <ul class="navbar-nav ml-auto">
        <li class="nav-item active">
          <a class="nav-link" href="#">Home
            <span class="sr-only">(current)</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">About</a>
        </li>
        <li class="nav-item" *ngIf="!userService.loggedUser">
          <label for="login" class="nav-link">Login:</label>
        </li>
        <li class="nav-item" *ngIf="!userService.loggedUser">
          <input id="login" type="text" class="form-control" placeholder="Login" aria-label="Login" [(ngModel)]="login">
        </li>
        <li class="nav-item" *ngIf="!userService.loggedUser">
          <label for="senha" class="nav-link">Senha:</label>
        </li>
        <li class="nav-item" *ngIf="!userService.loggedUser">
          <input id="senha" type="password" class="form-control" placeholder="Senha" aria-label="Senha" [(ngModel)]="senha">
        </li>
        <li class="nav-item" *ngIf="userService.loggedUser">
          <p class="nav-link link" (click)="managementPage()">Management</p>
        </li>
        <li class="nav-item username" *ngIf="userService.loggedUser">
          <p class="nav-link">{{login}}</p>
        </li>
        <li class="nav-item">
          <button *ngIf="!userService.loggedUser" type="button" class="btn btn-primary login" (click)="logar()">Login</button>
          <button *ngIf="userService.loggedUser" type="button" class="btn btn-primary login" (click)="deslogar()">Logout</button>
        </li>
      </ul>
    </div>
  </div>
</nav>

<!-- modal de erro de login -->
<div class="modal fade" id="modal-login" tabindex="-1" role="dialog" aria-labelledby="confirmacaoLabel" aria-hidden="true"
  [ngStyle]="{'display': mostrarModal ? 'block' : 'none', 'opacity': 1}">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-body">
        Login ou senha incorretos.
      </div>
      <div class="modal-footer" align="right">
        <button type="button" id="btnOK" class="btn btn-success" data-dismiss="modal" (click)="dismissModal()">
          <i class="fa fa-check fa-fw"></i> Ok</button>
      </div>
    </div>
  </div>
</div>
<!--  Fim do modal de erro de login -->